
all : source
	ln -f Makefile.pre.in src/Makefile.pre.in
	ln -f Setup.in src/Setup.in
	cd src ; make VERSION=1.5 -f Makefile.pre.in Makefile ; make
#	mv src/python .

source :
	/usr/bin/python buildkit

clean : 
	rm -f `find . -name '*~'` python
	rm -f `find . -name '*.pyc'`
	rm -f Demo/secimp/*.pys src/* Cipher/*.so Cipher/*.sl Hash/*.so Hash/*.sl
	rm -f sedscript config.c
	cd Doc ; rm -f *.ps *.log *.aux *.ilg *.toc
	rm -f err out

install:
	cd src ; make install

test: 
	cd src ; make links
	python test.py --quiet

distrib : clean
	rm -f src/* 
#	python buildkit
#	cd Doc ; rm -f html/* ; texi2html pycrypt.texi html ; makeinfo pycrypt.texi 
	cd ../.. ; tar -cvf /scratch/pycrypt.tar -X Extensions/Crypto/excludefiles Extensions/Crypto 
	cd Doc ; rm -f *.?? *.log *.aux *.ilg 

links:
	cd src ; make links
